> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# البحث عن نطاقات

> يتحقق من توفر النطاقات العامة لمساحة عمل.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json GET /v1/public/accounts/{account_id}/domains/search
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains/search:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: البحث عن نطاقات
      description: يتحقق من توفر النطاقات العامة لمساحة عمل.
      operationId: search_public_domains_v1_public_accounts__account_id__domains_search_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: workspace_id
          required: true
          schema:
            format: uuid
            title: Workspace Id
            type: string
        - in: query
          name: domains
          required: true
          schema:
            items:
              type: string
            title: Domains
            type: array
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DomainPriceResponse'
                title: >-
                  Response Search Public Domains V1 Public Accounts  Account Id 
                  Domains Search Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainPriceResponse:
      properties:
        alternatives:
          items:
            $ref: '#/components/schemas/DomainAlternativeResponse'
          title: البدائل
          type: array
        available:
          title: متاح
          type: boolean
        currency:
          default: USD
          title: العملة
          type: string
        domain:
          title: النطاق
          type: string
        is_premium:
          default: false
          title: هل هو مميز
          type: boolean
        is_suggestion:
          default: false
          title: هل هو اقتراح
          type: boolean
        price:
          title: السعر
          type: string
        unavailable_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: سبب عدم التوفر
      required:
        - domain
        - available
        - price
      title: DomainPriceResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    DomainAlternativeResponse:
      description: معلومات توفر النطاق البديل وتسعيره.
      properties:
        available:
          default: true
          title: متاح
          type: boolean
        currency:
          default: USD
          title: العملة
          type: string
        domain:
          title: النطاق
          type: string
        is_premium:
          default: false
          title: هل هو مميز
          type: boolean
        is_suggestion:
          default: true
          title: هل هو اقتراح
          type: boolean
        price:
          title: السعر
          type: string
      required:
        - domain
        - price
      title: DomainAlternativeResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````